image.h File Reference
`#include <stddef.h>`
`#include <stdint.h>`
`#include <string.h>`
`#include <utility>`
`#include "hwy/aligned_allocator.h"`
`#include "hwy/base.h"`
`#include "hwy/highway_export.h"`

Go to the source code of this file.

## Classes

struct | hwy::ImageBase
class | hwy::Image< ComponentType >
class | hwy::Image3< ComponentType >
class | hwy::Rect
struct | hwy::WrapMirror
struct | hwy::WrapUnchanged
class | hwy::WrapRowMirror
struct | hwy::WrapRowUnchanged

## Namespaces

namespace | hwy

## Typedefs

using | hwy::ImageF = Image< float >
using | hwy::Image3F = Image3< float >

## Functions

template<class Image1 , class Image2 >
HWY_MAYBE_UNUSED bool | hwy::SameSize (const Image1 &image1, const Image2 &image2)
static HWY_INLINE HWY_MAYBE_UNUSED size_t | hwy::Mirror (int64_t x, const int64_t xsize)